Index: src/edu/ucsb/nceas/metacat/DBConnection.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBConnection.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/DBConnection.java	(revision 2663)
@@ -31,6 +31,8 @@
 import java.io.*;
 import java.sql.*;
 
+import org.apache.log4j.Logger;
+
 /**
  * A class represent a connection object, it includes connection itself, 
  * index, status, age, createtime, connection time, usageCount, warning message
@@ -57,7 +59,8 @@
   private static String  DBConnectedJDBC=MetaCatUtil.getOption("defaultDB");
   private static String  userName=MetaCatUtil.getOption("user");
   private static String  passWord=MetaCatUtil.getOption("password");
-  
+  private static Logger logMetacat = Logger.getLogger(DBConnection.class);
+
   /**
    * Default constructor of the DBConnection class 
    * 
@@ -344,7 +347,7 @@
      }
      catch (ClassNotFoundException e)
      {
-       MetaCatUtil.debugMessage("Error in DBConnectionPool "+e.getMessage(),30);
+       logMetacat.error("Error in DBConnectionPool "+e.getMessage());
        return null;
      }
      // Connect to the database
Index: src/edu/ucsb/nceas/metacat/AuthSession.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AuthSession.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/AuthSession.java	(revision 2663)
@@ -31,6 +31,8 @@
 import javax.servlet.http.HttpSession;
 import javax.servlet.http.HttpServletRequest;
 
+import org.apache.log4j.Logger;
+
 /**
  * A Class that implements session tracking for MetaCatServlet users.
  * User's login data are stored in the session object.
@@ -42,6 +44,7 @@
   private HttpSession session = null;
   private AuthInterface authService = null;
   private String statusMessage = null;
+  private static Logger logMetacat = Logger.getLogger(AuthSession.class);
 
   /**
    * Construct an AuthSession
@@ -122,13 +125,13 @@
 
     // if it is still in use invalidate and get a new one
     if ( !session.isNew() ) {
-      MetaCatUtil.logMetacat.info("in session is not new");
-      MetaCatUtil.logMetacat.info("the old session id is : " +
+      logMetacat.info("in session is not new");
+      logMetacat.info("the old session id is : " +
                                 session.getId());
-      MetaCatUtil.logMetacat.info("the old session username : " +
+      logMetacat.info("the old session username : " +
                                 session.getAttribute("username"));
       session.invalidate();
-      MetaCatUtil.logMetacat.info("in session is not new");
+      logMetacat.info("in session is not new");
       session = request.getSession(true);
     }
     // store the username, password, and groupname (the first only)
@@ -139,9 +142,9 @@
     if ( groups.length > 0 ) {
       session.setAttribute("groupnames", groups);
     }
-     MetaCatUtil.logMetacat.info("the new session id is : " +
+     logMetacat.info("the new session id is : " +
                                 session.getId());
-     MetaCatUtil.logMetacat.info("the new session username : " +
+     logMetacat.info("the new session username : " +
                                 session.getAttribute("username"));
     return session;
   }
Index: src/edu/ucsb/nceas/metacat/DBQuery.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBQuery.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/DBQuery.java	(revision 2663)
@@ -54,6 +54,7 @@
 import javax.servlet.ServletOutputStream;
 import javax.servlet.http.HttpServletResponse;
 
+import org.apache.log4j.Logger;
 
 import edu.ucsb.nceas.morpho.datapackage.Triple;
 import edu.ucsb.nceas.morpho.datapackage.TripleCollection;
@@ -78,6 +79,8 @@
 
     private MetaCatUtil util = new MetaCatUtil();
 
+    private Logger logMetacat = Logger.getLogger(DBQuery.class);
+
     /**
      * the main routine used to test the DBQuery utility.
      * <p>
@@ -230,9 +233,9 @@
       // get query and qformat
       String xmlquery = ((String[])params.get("query"))[0];
 
-      MetaCatUtil.debugMessage("xmlquery: " + xmlquery, 30);
+      logMetacat.warn("xmlquery: " + xmlquery);
       String qformat = ((String[])params.get("qformat"))[0];
-      MetaCatUtil.debugMessage("qformat: " + qformat, 30);
+      logMetacat.warn("qformat: " + qformat);
       // Get the XML query and covert it into a SQL statment
       QuerySpecification qspec = null;
       if ( xmlquery != null)
@@ -246,9 +249,9 @@
          }
          catch (Exception ee)
          {
-           MetaCatUtil.debugMessage("erro to generate QuerySpecification object"
+           logMetacat.error("erro to generate QuerySpecification object"
                                     +" in DBQuery.findDocuments"
-                                    + ee.getMessage(), 30);
+                                    + ee.getMessage());
          }
       }
 
@@ -288,8 +291,8 @@
         }
         catch(Exception e)
         {
-         MetaCatUtil.debugMessage("Error in MetaCatServlet.transformResultset:"
-                                +e.getMessage(), 30);
+         logMetacat.error("Error in MetaCatServlet.transformResultset:"
+                                +e.getMessage());
          }
 
       }//else
@@ -336,19 +339,19 @@
       } //try
       catch (IOException ioe)
       {
-        MetaCatUtil.debugMessage("IO error in DBQuery.findDocuments:", 30);
-        MetaCatUtil.debugMessage(ioe.getMessage(), 30);
+        logMetacat.error("IO error in DBQuery.findDocuments:");
+        logMetacat.error(ioe.getMessage());
 
       }
       catch (SQLException e)
       {
-        MetaCatUtil.debugMessage("SQL Error in DBQuery.findDocuments: "
-                                 + e.getMessage(), 30);
+        logMetacat.error("SQL Error in DBQuery.findDocuments: "
+                                 + e.getMessage());
       }
       catch (Exception ee)
       {
-        MetaCatUtil.debugMessage("Exception in DBQuery.findDocuments: "
-                                 + ee.getMessage(), 30);
+        logMetacat.error("Exception in DBQuery.findDocuments: "
+                                 + ee.getMessage());
       }
       finally
       {
@@ -404,8 +407,8 @@
       int rev = 0;
       String query = qspec.printSQL(useXMLIndex);
       String ownerQuery = getOwnerQuery(user);
-      MetaCatUtil.debugMessage("query: " + query, 30);
-      //MetaCatUtil.debugMessage("query: "+ownerQuery, 30);
+      logMetacat.info("query: " + query);
+      //logMetacat.info("query: "+ownerQuery);
       // if query is not the owner query, we need to check the permission
       // otherwise we don't need (owner has all permission by default)
       if (!query.equals(ownerQuery))
@@ -420,7 +423,7 @@
         } else {
             query = query + accessQuery.substring(4, accessQuery.length());
         }
-        MetaCatUtil.debugMessage(" final query: " + query, 30);
+        logMetacat.warn(" final query: " + query);
       }
 
       double startTime = System.currentTimeMillis() / 1000;
@@ -430,8 +433,8 @@
       pstmt.execute();
       ResultSet rs = pstmt.getResultSet();
       double queryExecuteTime = System.currentTimeMillis() / 1000;
-      MetaCatUtil.debugMessage("Time for execute query: "
-                    + (queryExecuteTime - startTime), 30);
+      logMetacat.warn("Time for execute query: "
+                    + (queryExecuteTime - startTime));
       boolean tableHasRows = rs.next();
       while (tableHasRows)
       {
@@ -448,7 +451,7 @@
          if (returndocVec.size() != 0 && !returndocVec.contains(doctype)
                         && !qspec.isPercentageSearch())
         {
-           MetaCatUtil.debugMessage("Back tracing now...", 20);
+           logMetacat.warn("Back tracing now...");
            String sep = MetaCatUtil.getOption("accNumSeparator");
            StringBuffer btBuf = new StringBuffer();
            btBuf.append("select docid from xml_relation where ");
@@ -480,8 +483,8 @@
                //there was a backtrackable document found
                DocumentImpl xmldoc = null;
                String packageDocid = btrs.getString(1);
-               MetaCatUtil.debugMessage("Getting document for docid: "
-                                         + packageDocid, 40);
+               logMetacat.info("Getting document for docid: "
+                                         + packageDocid);
                 try
                 {
                     //  THIS CONSTRUCTOR BUILDS THE WHOLE XML doc not
@@ -494,8 +497,8 @@
                     xmldoc = new DocumentImpl(accNumber, false);
                     if (xmldoc == null)
                     {
-                       MetaCatUtil.debugMessage("Document was null for: "
-                                                + packageDocid, 50);
+                       logMetacat.info("Document was null for: "
+                                                + packageDocid);
                     }
                 }
                 catch (Exception e)
@@ -508,7 +511,7 @@
                 String docid_org = xmldoc.getDocID();
                 if (docid_org == null)
                 {
-                   MetaCatUtil.debugMessage("Docid_org was null.", 40);
+                   logMetacat.info("Docid_org was null.");
                    //continue;
                 }
                 docid = docid_org.trim();
@@ -606,8 +609,8 @@
                               user, groups,dbconn, useXMLIndex);
      }
      double docListTime = System.currentTimeMillis() / 1000;
-     MetaCatUtil.debugMessage("prepare docid list time: "
-                    + (docListTime - queryExecuteTime), 30);
+     logMetacat.warn("prepare docid list time: "
+                    + (docListTime - queryExecuteTime));
 
      return resultsetBuffer;
     }//findReturnDoclist
@@ -642,16 +645,16 @@
      }
 
      if(returnfield_id < 0){
-         MetaCatUtil.debugMessage("Error in getting returnfield id from"
-                                  + "xml_returnfield table", 20);
+         logMetacat.warn("Error in getting returnfield id from"
+                                  + "xml_returnfield table");
 	enterRecords = false;
      }
 
      // get the hashtable containing the docids that already in the
      // xml_queryresult table
-     MetaCatUtil.debugMessage("size of partOfDoclist before"
+     logMetacat.info("size of partOfDoclist before"
                              + " docidsInQueryresultTable(): "
-                             + partOfDoclist.size() , 50);
+                             + partOfDoclist.size());
      Hashtable queryresultDocList = docidsInQueryresultTable(returnfield_id,
                                                         partOfDoclist, dbconn);
 
@@ -670,9 +673,9 @@
          partOfDoclistBackup.put(key, partOfDoclist.get(key));
      }
 
-     MetaCatUtil.debugMessage("size of partOfDoclist after"
+     logMetacat.info("size of partOfDoclist after"
                              + " docidsInQueryresultTable(): "
-                             + partOfDoclist.size() , 50);
+                             + partOfDoclist.size());
 
      //add return fields for the documents in partOfDoclist
      partOfDoclist = addReturnfield(partOfDoclist, qspec, user, groups,
@@ -774,8 +777,8 @@
              String query = "select docid, queryresult_string from "
                           + "xml_queryresult where returnfield_id = " +
                           returnfield_id +" and docid in ("+ doclist + ")";
-             MetaCatUtil.debugMessage("Query to get docids from xml_queryresult:"
-                                      + query, 50);
+             logMetacat.info("Query to get docids from xml_queryresult:"
+                                      + query);
 
              try {
                  // prepare and execute the query
@@ -792,8 +795,8 @@
                      if(element != null){
                          returnValue.put(key, element);
                      } else {
-                         MetaCatUtil.debugMessage("Null elment found ("
-                         + "DBQuery.docidsInQueryresultTable)", 50);
+                         logMetacat.info("Null elment found ("
+                         + "DBQuery.docidsInQueryresultTable)");
                      }
                      tableHasRows = rs.next();
                  }
@@ -800,10 +803,10 @@
                  rs.close();
                  pstmt.close();
              } catch (Exception e){
-                 MetaCatUtil.debugMessage("Error getting docids from "
+                 logMetacat.error("Error getting docids from "
                                           + "queryresult in "
                                           + "DBQuery.docidsInQueryresultTable: "
-                                          + e.getMessage(), 20);
+                                          + e.getMessage());
               }
          }
          return returnValue;
@@ -826,7 +829,7 @@
        // query for finding the id from xml_returnfield
        String query = "SELECT returnfield_id, usage_count FROM xml_returnfield "
             + "WHERE returnfield_string LIKE ?";
-       MetaCatUtil.debugMessage("ReturnField Query:" + query, 50);
+       logMetacat.info("ReturnField Query:" + query);
 
        try {
            // prepare and run the query
@@ -849,7 +852,7 @@
                // increase the usage count
                query = "UPDATE xml_returnfield SET usage_count ='" + count
                    + "' WHERE returnfield_id ='"+ id +"'";
-               MetaCatUtil.debugMessage("ReturnField Table Update:"+ query, 50);
+               logMetacat.info("ReturnField Table Update:"+ query);
 
                pstmt = dbconn.prepareStatement(query);
                dbconn.increaseUsageCount(1);
@@ -863,7 +866,7 @@
                // insert a new record
                query = "INSERT INTO xml_returnfield (returnfield_string, usage_count)"
                    + "VALUES (?, '1')";
-               MetaCatUtil.debugMessage("ReturnField Table Insert:"+ query, 50);
+               logMetacat.info("ReturnField Table Insert:"+ query);
                pstmt = dbconn.prepareStatement(query);
                pstmt.setString(1, returnfield);
                dbconn.increaseUsageCount(1);
@@ -873,7 +876,7 @@
                // get the id of the new record
                query = "SELECT returnfield_id FROM xml_returnfield "
                    + "WHERE returnfield_string LIKE ?";
-               MetaCatUtil.debugMessage("ReturnField query after Insert:" + query, 50);
+               logMetacat.info("ReturnField query after Insert:" + query);
                pstmt = dbconn.prepareStatement(query);
                pstmt.setString(1, returnfield);
 
@@ -890,9 +893,9 @@
            }
 
        } catch (Exception e){
-           MetaCatUtil.debugMessage("Error getting id from xml_returnfield in "
+           logMetacat.error("Error getting id from xml_returnfield in "
                                      + "DBQuery.getXmlReturnfieldsTableId: "
-                                     + e.getMessage(), 20);
+                                     + e.getMessage());
            id = -1;
        }
 
@@ -956,12 +959,12 @@
           }
 
            double extendedAccessQueryEnd = System.currentTimeMillis() / 1000;
-           MetaCatUtil.debugMessage( "Time for execute access extended query: "
-                          + (extendedAccessQueryEnd - extendedQueryStart),30);
+           logMetacat.info( "Time for execute access extended query: "
+                          + (extendedAccessQueryEnd - extendedQueryStart));
 
            String extendedQuery =
                qspec.printExtendedSQL(doclist.toString(), controlPairs, useXMLIndex);
-           MetaCatUtil.debugMessage("Extended query: " + extendedQuery, 30);
+           logMetacat.warn("Extended query: " + extendedQuery);
 
            if(extendedQuery != null){
                pstmt = dbconn.prepareStatement(extendedQuery);
@@ -970,9 +973,9 @@
                pstmt.execute();
                rs = pstmt.getResultSet();
                double extendedQueryEnd = System.currentTimeMillis() / 1000;
-               MetaCatUtil.debugMessage(
+               logMetacat.info(
                    "Time for execute extended query: "
-                   + (extendedQueryEnd - extendedQueryStart), 30);
+                   + (extendedQueryEnd - extendedQueryStart));
                tableHasRows = rs.next();
                while (tableHasRows) {
                    ReturnFieldValue returnValue = new ReturnFieldValue();
@@ -1043,11 +1046,10 @@
                    }
                } //while
                double docListResultEnd = System.currentTimeMillis() / 1000;
-               MetaCatUtil.debugMessage(
+               logMetacat.warn(
                    "Time for prepare doclistresult after"
                    + " execute extended query: "
-                   + (docListResultEnd - extendedQueryEnd),
-                   30);
+                   + (docListResultEnd - extendedQueryEnd));
            }
 
            // get attribures return
@@ -1120,8 +1122,8 @@
       pstmt.close();
     }//while
     double endRelation = System.currentTimeMillis() / 1000;
-    MetaCatUtil.debugMessage("Time for adding relation to docListResult: "
-                             + (endRelation - startRelation), 30);
+    logMetacat.info("Time for adding relation to docListResult: "
+                             + (endRelation - startRelation));
 
     return docListResult;
   }//addRelation
@@ -1279,17 +1281,17 @@
                 rs.close();
                 pstmt.close();
             } catch (Exception se) {
-                MetaCatUtil.debugMessage(
+                logMetacat.error(
                         "Error in DBQuery.getAttributeValue1: "
-                                + se.getMessage(), 30);
+                                + se.getMessage());
             } finally {
                 try {
                     pstmt.close();
                 }//try
                 catch (SQLException sqlE) {
-                    MetaCatUtil.debugMessage(
+                    logMetacat.error(
                             "Error in DBQuery.getAttributeValue2: "
-                                    + sqlE.getMessage(), 30);
+                                    + sqlE.getMessage());
                 }//catch
                 finally {
                     DBConnectionPool.returnDBConnection(dbconn, serialNumber);
@@ -1607,8 +1609,8 @@
             pStmt.close();
         }//try
         catch (SQLException e) {
-            MetaCatUtil.debugMessage("Error in getDocidListForDataPackage: "
-                    + e.getMessage(), 30);
+            logMetacat.error("Error in getDocidListForDataPackage: "
+                    + e.getMessage());
         }//catch
         finally {
             try {
@@ -1615,9 +1617,9 @@
                 pStmt.close();
             }//try
             catch (SQLException ee) {
-                MetaCatUtil.debugMessage(
+                logMetacat.error(
                         "Error in getDocidListForDataPackage: "
-                                + ee.getMessage(), 30);
+                                + ee.getMessage());
             }//catch
             finally {
                 DBConnectionPool.returnDBConnection(dbConn, serialNumber);
@@ -1668,8 +1670,8 @@
             }//for
         }//try
         catch (Exception e) {
-            MetaCatUtil.debugMessage("Error in getOldVersionAllDocumentImpl: "
-                    + e.getMessage(), 30);
+            logMetacat.error("Error in getOldVersionAllDocumentImpl: "
+                    + e.getMessage());
         }//catch
 
         // return result
@@ -1711,15 +1713,15 @@
             pStmt.close();
         }//try
         catch (SQLException e) {
-            MetaCatUtil.debugMessage("Error in isDataPackageId: "
-                    + e.getMessage(), 30);
+            logMetacat.error("Error in isDataPackageId: "
+                    + e.getMessage());
         } finally {
             try {
                 pStmt.close();
             }//try
             catch (SQLException ee) {
-                MetaCatUtil.debugMessage("Error in isDataPackageId: "
-                        + ee.getMessage(), 30);
+                logMetacat.error("Error in isDataPackageId: "
+                        + ee.getMessage());
             }//catch
             finally {
                 DBConnectionPool.returnDBConnection(dbConn, serialNumber);
@@ -1779,9 +1781,9 @@
 
         }//try
         catch (SQLException e) {
-            MetaCatUtil.debugMessage(
+            logMetacat.error(
                     "Error in getCurrentRevFromXMLDoumentsTable: "
-                            + e.getMessage(), 30);
+                            + e.getMessage());
             throw e;
         }//catch
         finally {
@@ -1789,9 +1791,9 @@
                 pStmt.close();
             }//try
             catch (SQLException ee) {
-                MetaCatUtil.debugMessage(
+                logMetacat.error(
                         "Error in getCurrentRevFromXMLDoumentsTable: "
-                                + ee.getMessage(), 30);
+                                + ee.getMessage());
             }//catch
             finally {
                 DBConnectionPool.returnDBConnection(dbConn, serialNumber);
@@ -1874,8 +1876,8 @@
                 documentImplList.add(documentImplObject);
             }//try
             catch (Exception e) {
-                MetaCatUtil.debugMessage("Error in getCurrentAllDocumentImpl: "
-                        + e.getMessage(), 30);
+                logMetacat.error("Error in getCurrentAllDocumentImpl: "
+                        + e.getMessage());
                 // continue the for loop
                 continue;
             }
@@ -1915,9 +1917,9 @@
                 documentImplList.add(documentImplObject);
             }//try
             catch (McdbDocNotFoundException notFoundE) {
-                MetaCatUtil.debugMessage(
+                logMetacat.error(
                         "Error in DBQuery.getOldVersionAllDocument" + "Imple"
-                                + notFoundE.getMessage(), 30);
+                                + notFoundE.getMessage());
                 // Rather than add a DocumentImple object into vetor, a String
                 // object
                 // - the doicd was added to the vector
@@ -1926,9 +1928,9 @@
                 continue;
             }//catch
             catch (Exception e) {
-                MetaCatUtil.debugMessage(
+                logMetacat.error(
                         "Error in DBQuery.getOldVersionAllDocument" + "Imple"
-                                + e.getMessage(), 30);
+                                + e.getMessage());
                 // Continue the for loop
                 continue;
             }//catch
@@ -1972,8 +1974,8 @@
             zipOut.closeEntry();
         }//try
         catch (IOException ioe) {
-            MetaCatUtil.debugMessage("There is an exception: "
-                    + ioe.getMessage(), 30);
+            logMetacat.error("There is an exception: "
+                    + ioe.getMessage());
         }//catch
     }//addDataFileToZipOutputStream()
 
@@ -2181,17 +2183,17 @@
                         .equals("class java.lang.String")) {
                     // Get String object from vetor
                     String documentId = (String) documentImplList.elementAt(i);
-                    MetaCatUtil.debugMessage("docid: " + documentId, 30);
+                    logMetacat.info("docid: " + documentId);
                     // Get doicd without revision
                     String docidWithoutRevision = MetaCatUtil
                             .getDocIdFromString(documentId);
-                    MetaCatUtil.debugMessage("docidWithoutRevsion: "
-                            + docidWithoutRevision, 30);
+                    logMetacat.info("docidWithoutRevsion: "
+                            + docidWithoutRevision);
                     // Get revision
                     String revision = MetaCatUtil
                             .getRevisionStringFromString(documentId);
-                    MetaCatUtil.debugMessage("revsion from docIdentifier: "
-                            + revision, 30);
+                    logMetacat.info("revsion from docIdentifier: "
+                            + revision);
                     // Zip entry string
                     String zipEntryPath = rootName + "/data/";
                     // Create a RemoteDocument object
Index: src/edu/ucsb/nceas/metacat/AccessControlForSingleFile.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AccessControlForSingleFile.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/AccessControlForSingleFile.java	(revision 2663)
@@ -35,6 +35,7 @@
 import java.util.Hashtable;
 import java.net.URL;
 import java.net.MalformedURLException;
+import org.apache.log4j.Logger;
 
 
 /** 
@@ -52,8 +53,8 @@
   private int    permission;
   private String permType;
   private String permOrder;
+  private Logger logMetacat = Logger.getLogger(AccessControlForSingleFile.class);
 
-
  
   /**
    * Construct an instance of the AccessControlForSingleFile class.
@@ -109,20 +110,20 @@
         permOrder = AccessControlInterface.ALLOWFIRST;
       }
       //debugMessage
-      MetaCatUtil.logMetacat.info("docid in AccessControlForSingleFiel: " +
+      logMetacat.info("docid in AccessControlForSingleFiel: " +
                                 docId);
-      MetaCatUtil.logMetacat.info("principal in AccessControlForSingleFiel: " +
+      logMetacat.info("principal in AccessControlForSingleFiel: " +
                                 principal);
-      MetaCatUtil.logMetacat.info("permission in AccessControlForSingleFiel: " +
+      logMetacat.info("permission in AccessControlForSingleFiel: " +
                                 permission);
-      MetaCatUtil.logMetacat.info("permType in AccessControlForSingleFiel: " +
+      logMetacat.info("permType in AccessControlForSingleFiel: " +
                                 permType);
-      MetaCatUtil.logMetacat.info("permOrder in AccessControlForSingleFiel: " +
+      logMetacat.info("permOrder in AccessControlForSingleFiel: " +
                                 permOrder);
     }
     catch (Exception e)
     {
-      MetaCatUtil.logMetacat.info("Error in construct of AccessControlForSingle" +
+      logMetacat.error("Error in construct of AccessControlForSingle" +
                                "File: " + e.getMessage());
       throw e;
     }
@@ -165,7 +166,7 @@
     }//try
     catch (SQLException e)
     {
-      MetaCatUtil.logMetacat.info("Error in AccessControlForSingleFile.insert" +
+      logMetacat.error("Error in AccessControlForSingleFile.insert" +
                                "Permissions: " + e.getMessage());
       throw e;
     }
Index: src/edu/ucsb/nceas/metacat/DBTransform.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBTransform.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/DBTransform.java	(revision 2663)
@@ -43,6 +43,7 @@
 import javax.xml.transform.TransformerException;
 import javax.xml.transform.TransformerConfigurationException;
 
+import org.apache.log4j.Logger;
 import org.apache.xerces.parsers.DOMParser;
 import org.w3c.dom.Attr;
 import org.w3c.dom.NamedNodeMap;
@@ -79,7 +80,8 @@
   private MetaCatUtil   util = null;
   private String 	configDir = null;
   private String	defaultStyle = null;
-
+  private Logger logMetacat = Logger.getLogger(DBTransform.class);
+  
   /**
    * construct a DBTransform instance.
    *
@@ -194,9 +196,9 @@
       }
       catch (Exception e)
       {
-        util.debugMessage(xslSystemId + "Error transforming document in " +
+        logMetacat.error(xslSystemId + "Error transforming document in " +
                    "DBTransform.transformXMLDocument: " +
-                   e.getMessage(), 30);
+                   e.getMessage());
 
       }
     }
@@ -262,7 +264,7 @@
         Transformer transformer = tFactory.newTransformer(
                                   new StreamSource(xslSystemId));
         transformer.setParameter("qformat", qformat);
-        MetaCatUtil.debugMessage("qformat: "+qformat, 30);
+        logMetacat.warn("qformat: "+qformat);
 
         if(sessionid != null)
         {
@@ -276,7 +278,7 @@
           {
             String key =(String)en.nextElement();
             String value = ((String[])(param.get(key)))[0];
-            MetaCatUtil.debugMessage(key+" : "+value, 30);
+            logMetacat.warn(key+" : "+value);
             transformer.setParameter(key, value);
           }
         }
@@ -359,7 +361,7 @@
     try {
       boolean breakflag = false;
       String filename = configDir + "/" + qformat + "/" + qformat + ".xml";
-      util.debugMessage("Trying style-set file: " + filename, 30);
+      logMetacat.warn("Trying style-set file: " + filename);
       File f = new File(filename);
       NodeList nlDoctype = getPathContent(f, "/style-set/doctype");
       NodeList nlDefault = getPathContent(f, "/style-set/default-style");
@@ -420,7 +422,7 @@
     }
 
     // Return the system ID for this particular source document type
-    MetaCatUtil.debugMessage("style system id is: "+systemId, 30);
+    logMetacat.info("style system id is: "+systemId);
     return systemId;
   }
 
@@ -435,11 +437,11 @@
     {
       return;
     }
-    MetaCatUtil.debugMessage("public id of input stream is " +publicId, 25);
+    logMetacat.info("public id of input stream is " +publicId);
     // Get system id from xml_catalog table
     String systemId = DBEntityResolver.getDTDSystemID(publicId);
-    MetaCatUtil.debugMessage("system id of input stream from xml_catalog"
-                               +"table is " +systemId, 25);
+    logMetacat.info("system id of input stream from xml_catalog"
+                               +"table is " +systemId);
     //set system id to input stream
     xml.setSystemId(systemId);
   }
